Skip to main content

Jobs

Endpoints for retrieving and managing specific jobs


Retrieve the results of a specific job

Task API

Version: 0.0.2

Gets the results of a specific job, identified by the organization ID, topic, task, and job ID. The job's status is returned in the response, along with either the results or an error object, depending on the status of the job. If the job is ongoing, the response includes links to the job's cancellation endpoint and detailed status endpoint.

Parameters

The organization identifier

The compute topic

The compute task

The job identifier

Returns

200

The response for a completed job, which includes the job's status and may also contain either results or an error object, depending on the status of the job.

resultsobject

statusinteger
typestring
titlestring
detailstring

Endpoint

GET
/compute/orgs/{org_id}/{topic}/{task}/{job_id}

Request

curl -X GET 'https://{service_host}/compute/orgs/{org_id}/{topic}/{task}/{job_id}' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

No response body.


Cancel a specific job

Task API

Version: 0.0.2

Cancels a specific job, identified by the organization ID, topic, task, and job ID. The job's status is updated to 'canceling' and the job is stopped.

Parameters

The organization identifier

The compute topic

The compute task

The job identifier

Returns

204

204 response

Endpoint

DELETE
/compute/orgs/{org_id}/{topic}/{task}/{job_id}

Request

curl -X DELETE 'https://{service_host}/compute/orgs/{org_id}/{topic}/{task}/{job_id}' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

No response body.


Retrieve the status of a specific job

Task API

Version: 0.0.2

Gets the status of a specific job, identified by the organization ID, topic, task, and job ID. The job's status is returned in the response, along with a progress indicator, a message, and an error object, if applicable. If the job is ongoing, the response includes links to the job's cancellation endpoint.

Parameters

The organization identifier

The compute topic

The compute task

The job identifier

Returns

200

200 response

progressinteger
messagestring

statusinteger
typestring
titlestring
detailstring

resultstring

cancelstring

Endpoint

GET
/compute/orgs/{org_id}/{topic}/{task}/{job_id}/status

Request

curl -X GET 'https://{service_host}/compute/orgs/{org_id}/{topic}/{task}/{job_id}/status' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

No response body.

Was this page helpful?